Skip to main content
GET
/
v1
/
actions
/
actions-group-counts
Get actions group count by action statuses and action types
curl --request GET \
  --url https://staging.api.us.aptlydone.com/actions/v1/actions/actions-group-counts \
  --header 'Authorization: Bearer <token>'
{
  "statusCode": 200,
  "timestamp": "2026-01-08T06:27:47.905Z",
  "message": "Success",
  "data": {
    "page": 1,
    "limit": 10,
    "total": 10,
    "data": [
      "<unknown>"
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

tenantId
string<uuid>
required

Tenant ID

Example:

"d9b03e4d-f9b7-4394-84ff-e27c0ef63535"

actionGroupType
enum<string>
required

Action group type (status, type)

Available options:
status,
type
Example:

"status"

actionFilterType
enum<string>

Action filter type considering (all,mine)

Available options:
all,
active,
inactive,
mine
Example:

"all"

statusIds
string

Action status IDs (comma separated)

Example:

"fd41b4d7-bb33-468e-9409-8e28cb849394, 67a4281b-07a8-4408-bc20-2bc756e82feb"

typeIds
string

Action type IDs (comma separated)

Example:

"496d8700-85d6-40ab-ac24-6ac458416083, d0523197-9e72-4996-82bc-a00d77743841"

duration
number

Duration (in month)

Example:

3

Response

200 - application/json

Action Counts fetched successfully

statusCode
number
required
Example:

200

timestamp
string
required
Example:

"2026-01-08T06:27:47.905Z"

message
string
required
Example:

"Success"

data
object